public class Test14 {
	public static void main(String[] args) {
		int q, e, c, t, j;
		int a[][] = new int[9][9];
		q = e = c = 0;
		t = j = 0;
		c = 9 / 2;
		for (t = 0; t <= 8; t++)
		{
			if (t < c)
				e = 8 - t;
			else
				e = t;
			for (j = 0; j <= e; j++)
			{
				q++;
				a[j][t] = q;
			}
		}
	}
}
